<?php

namespace Inventory\Adjustment;

use DB;
use Illuminate\Database\Seeder;

class ReasonTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('reasons')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'adjustment.reason.view',
                'name'      => 'View Reason',
            ],
            [
                'slug'      => 'adjustment.reason.create',
                'name'      => 'Create Reason',
            ],
            [
                'slug'      => 'adjustment.reason.edit',
                'name'      => 'Update Reason',
            ],
            [
                'slug'      => 'adjustment.reason.delete',
                'name'      => 'Delete Reason',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/adjustment/reason',
                'name'        => 'Reason',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/adjustment/reason',
                'name'        => 'Reason',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'reason',
                'name'        => 'Reason',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Adjustment',
                'module'    => 'Reason',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'adjustment.reason.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
