<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for item in adjustment package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  item module in adjustment package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Item',
    'names'         => 'Items',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Items',
        'sub'   => 'Items',
        'list'  => 'List of items',
        'edit'  => 'Edit item',
        'create'    => 'Create new item'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'item_id'                    => 'Please enter item id',
        'quantity_available'         => 'Please enter quantity available',
        'quantity_onhand'            => 'Please enter quantity onhand',
        'quantity_adjusted'          => 'Please enter quantity adjusted',
        'current_value'              => 'Please enter current value',
        'changed_value'              => 'Please enter changed value',
        'adjusted_value'             => 'Please enter adjusted value',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'item_id'                    => 'Item id',
        'quantity_available'         => 'Quantity available',
        'quantity_onhand'            => 'Quantity onhand',
        'quantity_adjusted'          => 'Quantity adjusted',
        'current_value'              => 'Current value',
        'changed_value'              => 'Changed value',
        'adjusted_value'             => 'Adjusted value',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'item_id'                    => ['name' => 'Item id', 'data-column' => 1, 'checked'],
        'quantity_available'         => ['name' => 'Quantity available', 'data-column' => 2, 'checked'],
        'quantity_onhand'            => ['name' => 'Quantity onhand', 'data-column' => 3, 'checked'],
        'quantity_adjusted'          => ['name' => 'Quantity adjusted', 'data-column' => 4, 'checked'],
        'current_value'              => ['name' => 'Current value', 'data-column' => 5, 'checked'],
        'changed_value'              => ['name' => 'Changed value', 'data-column' => 6, 'checked'],
        'adjusted_value'             => ['name' => 'Adjusted value', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Items',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
