<?php

namespace Inventory\Adjustment\Repositories\Eloquent;

use Inventory\Adjustment\Interfaces\ReasonRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ReasonRepository extends BaseRepository implements ReasonRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('inventory.adjustment.reason.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('inventory.adjustment.reason.model.model');
    }
}
