<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for adjustment in adjustment package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  adjustment module in adjustment package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Adjustment',
    'names'         => 'Adjustments',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Adjustments',
        'sub'   => 'Adjustments',
        'list'  => 'List of adjustments',
        'edit'  => 'Edit adjustment',
        'create'    => 'Create new adjustment'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'mode'                => ['Quantity Adjustment','Value Adjustment'],
            'status'              => ['Adjusted','Not Adjusted'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'mode'                       => 'Please select mode',
        'reference'                  => 'Please enter reference',
        'date'                       => 'Please select date',
        'account_id'                 => 'Please enter account id',
        'reason_id'                  => 'Please enter reason id',
        'status'                     => 'Please select status',
        'description'                => 'Please enter description',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'mode'                       => 'Mode',
        'reference'                  => 'Reference',
        'date'                       => 'Date',
        'account_id'                 => 'Account id',
        'reason_id'                  => 'Reason id',
        'status'                     => 'Status',
        'description'                => 'Description',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'mode'                       => ['name' => 'Mode', 'data-column' => 1, 'checked'],
        'reference'                  => ['name' => 'Reference', 'data-column' => 2, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 3, 'checked'],
        'account_id'                 => ['name' => 'Account id', 'data-column' => 4, 'checked'],
        'reason_id'                  => ['name' => 'Reason id', 'data-column' => 5, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Adjustments',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
