    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#adjustment" data-toggle="tab">{!! trans('adjustment::adjustment.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#adjustment-adjustment-edit'  data-load-to='#adjustment-adjustment-entry' data-datatable='#adjustment-adjustment-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#adjustment-adjustment-entry' data-href='{{guard_url('adjustment/adjustment')}}/{{$adjustment->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('adjustment-adjustment-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('adjustment/adjustment/'. $adjustment->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="adjustment">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('adjustment::adjustment.name') !!} [{!!$adjustment->name!!}] </div>
                @include('adjustment::admin.adjustment.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>