    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#reason" data-toggle="tab">{!! trans('adjustment::reason.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#adjustment-reason-edit'  data-load-to='#adjustment-reason-entry' data-datatable='#adjustment-reason-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#adjustment-reason-entry' data-href='{{guard_url('adjustment/reason')}}/{{$reason->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('adjustment-reason-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('adjustment/reason/'. $reason->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="reason">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('adjustment::reason.name') !!} [{!!$reason->name!!}] </div>
                @include('adjustment::admin.reason.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>